Loading...
Searching...
No Matches
pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 > Class Referenceabstract
Module visualization

Base handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >:

## Public Types

using | PointCloud = pcl::PCLPointCloud2
using | PointCloudPtr = PointCloud::Ptr
using | PointCloudConstPtr = PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudGeometryHandler< PointCloud > >
using | ConstPtr = shared_ptr< const PointCloudGeometryHandler< PointCloud > >

## Public Member Functions

| PointCloudGeometryHandler (const PointCloudConstPtr &cloud, const Eigen::Vector4f &=Eigen::Vector4f::Zero())
| Constructor.
virtual | ~PointCloudGeometryHandler ()=default
| Destructor.
virtual std::string | getName () const =0
| Abstract getName method.
virtual std::string | getFieldName () const =0
| Abstract getFieldName method.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format.
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
index_t | field_x_idx_
| The index of the field holding the X data.
index_t | field_y_idx_
| The index of the field holding the Y data.
index_t | field_z_idx_
| The index of the field holding the Z data.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

Base handler class for PointCloud geometry.

Author
  Radu B. Rusu

Definition at line 321 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::ConstPtr = shared_ptr<const PointCloudGeometryHandler<PointCloud> >

Definition at line 329 of file point_cloud_geometry_handlers.h.

## PointCloud

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloud = pcl::PCLPointCloud2

Definition at line 324 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloudConstPtr = PointCloud::ConstPtr

Definition at line 326 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloudPtr = PointCloud::Ptr

Definition at line 325 of file point_cloud_geometry_handlers.h.

## Ptr

using pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::Ptr = shared_ptr<PointCloudGeometryHandler<PointCloud> >

Definition at line 328 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandler()

pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::PointCloudGeometryHandler | ( | const PointCloudConstPtr & | cloud,
|  | const Eigen::Vector4f & | = `Eigen::Vector4f::Zero ()`
| ) |  |

inline

Constructor.

Definition at line 332 of file point_cloud_geometry_handlers.h.

## ~PointCloudGeometryHandler()

virtual pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::~PointCloudGeometryHandler | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## getFieldName()

virtual std::string pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >.

## getGeometry()

virtual void pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

## getName()

virtual std::string pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Implemented in pcl::visualization::PointCloudGeometryHandlerXYZ< pcl::PCLPointCloud2 >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< pcl::PCLPointCloud2 >, and pcl::visualization::PointCloudGeometryHandlerCustom< pcl::PCLPointCloud2 >.

## isCapable()

bool pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::isCapable | ( |  | ) | const

inline

Check if this handler is capable of handling the input data or not.

Definition at line 355 of file point_cloud_geometry_handlers.h.

## setInputCloud()

void pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Definition at line 367 of file point_cloud_geometry_handlers.h.

## Member Data Documentation

## capable_

bool pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 379 of file point_cloud_geometry_handlers.h.

## cloud_

PointCloudConstPtr pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::cloud_

protected

A pointer to the input dataset.

Definition at line 374 of file point_cloud_geometry_handlers.h.

## field_x_idx_

index_t pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::field_x_idx_

protected

The index of the field holding the X data.

Definition at line 382 of file point_cloud_geometry_handlers.h.

## field_y_idx_

index_t pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::field_y_idx_

protected

The index of the field holding the Y data.

Definition at line 385 of file point_cloud_geometry_handlers.h.

## field_z_idx_

index_t pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::field_z_idx_

protected

The index of the field holding the Z data.

Definition at line 388 of file point_cloud_geometry_handlers.h.

## fields_

std::vector<pcl::PCLPointField> pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::fields_

protected

The list of fields available for this PointCloud.

Definition at line 391 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_geometry_handlers.h